const { contextBridge, ipcRenderer, dialog } = require("electron");

contextBridge.exposeInMainWorld("versions", {
	setBadgeCount: (count) => ipcRenderer.send("setBadgeCount", count),
	// we can also expose variables, not just functions
});

contextBridge.exposeInMainWorld("electron", {
	platform: process.platform,
	setLoginItemSettings: (settings) => ipcRenderer.send("setLoginItemSettings", settings),
	getLoginItemSettings: (options) => ipcRenderer.invoke("getLoginItemSettings", options),
	setStoreValue: (object) => ipcRenderer.send("setStoreValue", object),
	getStoreValue: (key) => ipcRenderer.invoke("getStoreValue", key),
	handleToolbarDoubleClick: (boolean) => ipcRenderer.send("toggleMaximize", boolean),
	getStore: () => ipcRenderer.invoke("getStore"),
	getVersion: () => ipcRenderer.invoke("getVersion"),
	getName: () => ipcRenderer.invoke("getName"),
	flash: () => ipcRenderer.send("flash"),
	close: () => ipcRenderer.send("close"),
	destroy: () => ipcRenderer.send("destroy"),
	setBadgeCount: (count) => ipcRenderer.send("setBadgeCount", count),

	// we can also expose variables, not just functions
});
Object.defineProperty(window, "isElectron", { get: () => true });
